SUSE Manager/RPM Error registering

From MicroFocusInternationalWiki
Revision as of 15:05, 16 December 2015 by Mbrookhuis (Talk | contribs) (Created page with "During registration with a bootstrap script or manuel, the following error will be displayed: <pre> * registering rhn-plugin: RPM error. The message was: Could not determi...")

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

During registration with a bootstrap script or manuel, the following error will be displayed:

* registering

rhn-plugin: RPM error.  The message was:

Could not determine what version of Red Hat Linux you are running.

If you get this error, try running

 

                rpm --rebuilddb


*** Error: Registering the system failed.

The most likely cause of this problem is a wrong /etc/products.d/baseproduct. Check if the link is pointing to the correct file. By default this should be /etc/products.d/SUSE_SLES.prod. If the link is correct, check if the content of the file is pointing to the correct OS version. Before copying information from a comparable system, check what happened on this system that could cause this problem.